
#ifndef ADC_H__
#define ADC_H__

#include "r_typedefs.h"


#define   ADC_RESOLUTION           (4095U)              /* 12bit ADC */



extern void ADC_Init(const uint8_t u8ChList[], uint8_t u8ChNum);
extern void ADC_DeInit(void);
extern void ADC_Start_Conversion(void);
extern void ADC_Stop_Conversion(void);
extern uint8_t ADC_Get_Conversion_Status(void);
extern void ADC_Get_Conversion_Result(uint16_t *pu16Data, uint8_t u8ChNum);

#endif
